Get Alternative Shipment Rate
1 min
POST
https://api.upstartcommerce.com/v1/shipping-method/rate/shipment
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe request must provide details of the cart for which an alternative shipping rate should be calculated.
200<p>Success-alternative shipping rate returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/shipping-method/rate/shipment \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"currency": "USD",
"distanceUnit": "",
"id": "8A218593-40EB-4DD0-94BD-8ACA1D95BB14",
"items": [
{
"catalogItemId": "catalogItemId",
"id": "8A218593-40EB-4DD0-94BD-8ACA1D95BB14",
"pricing": {
"basePrice": {
"price": "",
"type": "",
"zone": ""
},
"feePriceAdjustments": [
{
"id": "",
"value": ""
}
],
"promotionPriceAdjustments": [
{
"id": "",
"value": ""
}
],
"taxPriceAdjustment": {
"taxCode": ""
}
},
"productItemSkuId": "SKU_item1",
"quantity": 1,
"shipmentId": "8A218593-40EB-4DD0-94BD-8ACA1D95BB14"
}
],
"packages": [
{
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
}
],
"shippingAddress": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"shippingCoordinates": {
"latitude": 37.7749,
"longitude": -122.4194
}
}'